All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.totals
Interface TotalsSelectorInterface

All Known Subinterfaces:
  OLAPTotalsSelectorInterface, RelationalTotalsSelectorInterface

All Known Implementing Classes:
  BaseTotalsSelectorAdapter, OLAPTotalsSelectorAdapter, RelationalTotalsSelectorAdapter

    public interface TotalsSelectorInterface

Represents an adapter for the Totals Selector.

Since:
  3.1

Field Summary
`static java.lang.String` | `BOTTOM` When 'bottom' positioning have to be applied, this is the value passed to the TotalsCommand.
`static java.lang.String` | `COLUMN_SUBTOTALS` When column subtotals must be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `COLUMN_TOTALS` When column totals must be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `EXPANDED_TOTALS` When expanded totals must be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `NO_COLUMN_SUBTOTALS` When column subtotals must not be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `NO_COLUMN_TOTALS` When column totals must not be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `NO_EXPANDED_TOTALS` When expanded totals must not be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `NO_ROW_SUBTOTALS` When row subtotals must not be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `NO_ROW_TOTALS` When row totals must not be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `ROW_SUBTOTALS` When row subtotals must be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `ROW_TOTALS` When row totals must be applied this is the value passed to the TotalsCommand.
`static java.lang.String` | `TOP` When 'top' positioning have to be applied, this is the value passed to the TotalsCommand.
`static java.lang.String` | `UNFILTERED_TOTALS` When 'Unfiltered totals' havee to be applied, this is the value passed to the TotalsCommand.
`static java.lang.String` | `VISUAL_TOTALS` When 'Visual totals' havee to be applied, this is the value passed to the TotalsCommand.

Method Summary
`boolean` | `columnTotals()` Returns true if the column totals must be applyed, false otherwise.
`void` | `columnTotals(boolean columnTotals)` Sets if the column totals must be applyed.
`boolean` | `hasSummarizeableItems()` Says if the data model contains at least one additive DataItem.
`boolean` | `valuesFromDataModel()` Returns true if the values must be read directly from the data model, false if the values must be read from the internal variables.
`void` | `valuesFromDataModel(boolean valuesFromDataModel)` Sets if the the values must be read directly from the data model or from the internal variables.

Field Detail

### ROW_TOTALS

    static final java.lang.String ROW_TOTALS

  When row totals must be applied this is the value passed to the TotalsCommand. "1"

  See Also:
    Constant Field Values

### NO_ROW_TOTALS

    static final java.lang.String NO_ROW_TOTALS

  When row totals must not be applied this is the value passed to the TotalsCommand. "0"

  See Also:
    Constant Field Values

### COLUMN_TOTALS

    static final java.lang.String COLUMN_TOTALS

  When column totals must be applied this is the value passed to the TotalsCommand. "1"

  See Also:
    Constant Field Values

### NO_COLUMN_TOTALS

    static final java.lang.String NO_COLUMN_TOTALS

  When column totals must not be applied this is the value passed to the TotalsCommand. "0"

  See Also:
    Constant Field Values

### ROW_SUBTOTALS

    static final java.lang.String ROW_SUBTOTALS

  When row subtotals must be applied this is the value passed to the TotalsCommand. "1"

  See Also:
    Constant Field Values

### NO_ROW_SUBTOTALS

    static final java.lang.String NO_ROW_SUBTOTALS

  When row subtotals must not be applied this is the value passed to the TotalsCommand. "0"

  See Also:
    Constant Field Values

### COLUMN_SUBTOTALS

    static final java.lang.String COLUMN_SUBTOTALS

  When column subtotals must be applied this is the value passed to the TotalsCommand. "1"

  See Also:
    Constant Field Values

### NO_COLUMN_SUBTOTALS

    static final java.lang.String NO_COLUMN_SUBTOTALS

  When column subtotals must not be applied this is the value passed to the TotalsCommand. "0"

  See Also:
    Constant Field Values

### EXPANDED_TOTALS

    static final java.lang.String EXPANDED_TOTALS

  When expanded totals must be applied this is the value passed to the TotalsCommand. "1"

  See Also:
    Constant Field Values

### NO_EXPANDED_TOTALS

    static final java.lang.String NO_EXPANDED_TOTALS

  When expanded totals must not be applied this is the value passed to the TotalsCommand. "0"

  See Also:
    Constant Field Values

### UNFILTERED_TOTALS

    static final java.lang.String UNFILTERED_TOTALS

  When 'Unfiltered totals' havee to be applied, this is the value passed to the TotalsCommand. "U"

  See Also:
    `VISUAL_TOTALS`, Constant Field Values

### VISUAL_TOTALS

    static final java.lang.String VISUAL_TOTALS

  When 'Visual totals' havee to be applied, this is the value passed to the TotalsCommand. "V"

  See Also:
    `UNFILTERED_TOTALS`, Constant Field Values

### TOP

    static final java.lang.String TOP

  When 'top' positioning have to be applied, this is the value passed to the TotalsCommand. "T"

  See Also:
    `BOTTOM`, Constant Field Values

### BOTTOM

    static final java.lang.String BOTTOM

  When 'bottom' positioning have to be applied, this is the value passed to the TotalsCommand. "B"

  See Also:
    `TOP`, Constant Field Values

Method Detail

### columnTotals

    boolean columnTotals()

  Returns true if the column totals must be applyed, false otherwise.

  Returns:
    boolean true if the column totals must be applyed, false otherwise.

### columnTotals

    void columnTotals(boolean columnTotals)

  Sets if the column totals must be applyed.

  Parameters:
    `columnTotals` - true if the column totals must be applyed, false otherwise.

### valuesFromDataModel

    boolean valuesFromDataModel()

  Returns true if the values must be read directly from the data model, false if the values must be read from the internal variables.

  Returns:
    boolean true if the values must be read directly from the data model, false if the values must be read from the internal variables.

### valuesFromDataModel

    void valuesFromDataModel(boolean valuesFromDataModel)

  Sets if the the values must be read directly from the data model or from the internal variables.

  Parameters:
    `valuesFromDataModel` - true if the the values must be read directly from the data model, false if the values must be read from the internal variables.

### hasSummarizeableItems

    boolean hasSummarizeableItems()

  Says if the data model contains at least one additive DataItem.

  Returns:
    boolean true if the data model contains at least one additive DataItem, flase otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.